import pandas as pd, matplotlib, matplotlib.pyplot  as plt
import z_my_functions as my_fct


df = my_fct.load_and_treat_csv()

print(df.columns)

print("nb de datasets\t", len(df))

## publicationYear contient une année de 1995 : on reconstruit un champs année à partir de "created" : date d'enregistrement du dépot
df["year"] = df["created"].str[:4]
#print( df["year"].value_counts() )


df_hist = pd.DataFrame( df.groupby(["year"])[["doi"]].agg(["count"])).reset_index()
## rename columns
df_hist.columns = ["year", "nb_dois"]
#print("\n", df_hist)


## ____N____ do graph

fig, (ax) = plt.subplots(figsize=(8, 6), dpi=100, facecolor='w', edgecolor='k')
ax.bar(df_hist.year, df_hist.nb_dois , align='center', alpha = 1.0, color='#7e96c4', ecolor='black', label="tba")
plt.xticks(df_hist.year.values)

## remove axi
ax.spines['top'].set_visible(False)
ax.spines['right'].set_visible(False)
ax.set_ylabel("number of datasets", labelpad = 10)

plt.title(f"Number of datasets by year", fontsize = 22, x = 0.5, y = 1.03, alpha = 0.6)
plt.suptitle(f"n = {len(df)}", fontsize = 12, x = 0.5, y = 0.8, alpha = 0.6)
plt.savefig("hist--datasets-by-year.png")




