import pandas as pd, matplotlib, matplotlib.pyplot  as plt
import z_my_functions as my_fct
import seaborn as sns


df = my_fct.load_and_treat_csv()
print(df.columns)

df_client_raw = df["client"].value_counts()

## regroup small values in "other"
treshold = 8
df_client = df_client_raw[df_client_raw > treshold]

## remove point in client name (eg. zenodo.cern)
clients_name = [item[: item.find(".")] for item in df_client.index]

df_client["other"] = df_client_raw[df_client_raw <= treshold].sum()
clients_name.append("other")


#define Seaborn color palette to use
colors = sns.color_palette('pastel')[0:len(df_client)]

plt.pie(df_client, labels = clients_name, colors = colors, autopct='%.0f%%')
plt.title(f"Distribution of datasets by DataCite client", fontsize = 20, x = 0.5, y = 1.03, alpha = 0.6)
plt.savefig("pie--datacite-client.png")


# print(len(df))